Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class GuiceElementVisitor

    java.lang.Object
      com.google.inject.spi.DefaultElementVisitor<java.lang.Void>
          com.google.gwt.inject.rebind.GuiceElementVisitor

All Implemented Interfaces:
  ElementVisitor<java.lang.Void>

    public class GuiceElementVisitor

extends DefaultElementVisitor<java.lang.Void>

Gathers elements and adds them to a `GinjectorBindings`.

Nested Class Summary
`static interface` | `GuiceElementVisitor.GuiceElementVisitorFactory` Interface for use with Assisted Injection for creating `GuiceElementVisitor`

Constructor Summary
`GuiceElementVisitor(com.google.gwt.core.ext.TreeLogger logger, GuiceElementVisitor.GuiceElementVisitorFactory guiceElementVisitorFactory, GuiceBindingVisitorFactory bindingVisitorFactory, ErrorManager errorManager, GinjectorBindings bindings, BindingFactory bindingFactory)`

Method Summary
`java.util.List<Message>` | `getMessages()`
`
`<T> java.lang.Void`
` | `visit(Binding<T> command)`
`java.lang.Void` | `visit(Message message)`
`java.lang.Void` | `visit(PrivateElements privateElements)`
`
`<T> java.lang.Void`
` | `visit(ProviderLookup<T> providerLookup)`
`java.lang.Void` | `visit(StaticInjectionRequest staticInjectionRequest)`
`void` | `visitElementsAndReportErrors(java.util.List<Element> elements)`
`protected java.lang.Void` | `visitOther(Element element)`

Methods inherited from class com.google.inject.spi.DefaultElementVisitor
`visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiceElementVisitor

    @Inject
    public GuiceElementVisitor(com.google.gwt.core.ext.TreeLogger logger,
                                      GuiceElementVisitor.GuiceElementVisitorFactory guiceElementVisitorFactory,
                                      GuiceBindingVisitorFactory bindingVisitorFactory,
                                      ErrorManager errorManager,
                                      GinjectorBindings bindings,
                                      BindingFactory bindingFactory)

Method Detail

### visitElementsAndReportErrors

    public void visitElementsAndReportErrors(java.util.List<Element> elements)

### visit

    public <T> java.lang.Void visit(Binding<T> command)

  Specified by:
    `visit` in interface `ElementVisitor<java.lang.Void>`
  Overrides:
    `visit` in class `DefaultElementVisitor<java.lang.Void>`

### visit

    public java.lang.Void visit(Message message)

  Specified by:
    `visit` in interface `ElementVisitor<java.lang.Void>`
  Overrides:
    `visit` in class `DefaultElementVisitor<java.lang.Void>`

### visit

    public <T> java.lang.Void visit(ProviderLookup<T> providerLookup)

  Specified by:
    `visit` in interface `ElementVisitor<java.lang.Void>`
  Overrides:
    `visit` in class `DefaultElementVisitor<java.lang.Void>`

### visitOther

    protected java.lang.Void visitOther(Element element)

  Overrides:
    `visitOther` in class `DefaultElementVisitor<java.lang.Void>`

### visit

    public java.lang.Void visit(StaticInjectionRequest staticInjectionRequest)

  Specified by:
    `visit` in interface `ElementVisitor<java.lang.Void>`
  Overrides:
    `visit` in class `DefaultElementVisitor<java.lang.Void>`

### visit

    public java.lang.Void visit(PrivateElements privateElements)

  Specified by:
    `visit` in interface `ElementVisitor<java.lang.Void>`
  Overrides:
    `visit` in class `DefaultElementVisitor<java.lang.Void>`

### getMessages

    public java.util.List<Message> getMessages()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD